Subject: RE: bug#14655: 24.3; (looking-at comment-start-skip) in newcomment.el

From: Drew Adams <[email-masked]>
Date: Tue, 18 Jun 2013 11:30:11 -0700 (PDT)

> From the commentary of newcomment.el:
> 
> ;; Prior to calling any `comment-*' function, you should ensure that
> ;; `comment-normalize-vars' is first called to set up the appropriate
> ;; variables; except for the `comment-*' commands, which call
> ;; `comment-normalize-vars' automatically as a subroutine.

Yes.  I'm not sure what the "solution" is, but this seems to be a
common gotcha.  Yes, someone coding with functions from the library
should presumably read the file Commentary.  Still, we can perhaps do
better, to try to get this info across.

Mentioning it in doc string might help.  But perhaps there is a better
idea.